#include <stdio.h>

int main(){
    char s[101];
    scanf("%s",s);
    
    int l=0;
    for(int i=0; s[i]!='\0'; i++){
        l++;
    }

    int flag = 1;
    for(int i=0; i<l/2; i++){
        if(s[i]!=s[l-i-1]){
            flag = 0;
            break;
        }
    }

    printf("%d",flag);

    return 0;
}